import apiRequest from '@/network/http/apiRequest'

// 登入
export function signIn(data: any) {
  return apiRequest({
    url: '/login',
    method: 'POST',
    data,
  })
}

// 获取授权
export function getPermit() {
  return apiRequest({
    url: '/user/permit',
    method: 'GET',
  })
}

// 获取用户基本信息
export function getUserProfile() {
  return apiRequest({
    url: '/user/profile',
    method: 'GET',
  })
}

// 更新用户基本信息
export function updateUserProfile(data: any) {
  return apiRequest({
    url: '/user/profile/update',
    method: 'PUT',
    data,
  })
}

/**
 * 更新密码
 * @param data
 * @returns
 */
export function updatePassword(data: any) {
  return apiRequest({
    url: '/user/updatePassword',
    method: 'PUT',
    data,
  })
}

// 退出登陆
export function signOut() {
  return apiRequest({
    url: '/logout',
    method: 'GET',
  })
}
